#version 430 core

layout (location = 0) in vec3 POSITION;
layout (location = 1) in vec3 NORMAL;
layout (location = 2) in vec3 COLOR;

out vec3 gs_color;

void main()
{
	gs_color = COLOR;
	// it is assumed that the input vertex is formatted as vec4(x,y,z,intensity)
	gl_Position = vec4(POSITION, 1.0);
}
